lv.eparaksts.tsl

## Class TrustedListPointer

- java.lang.Object
- - lv.eparaksts.tsl.TrustedListPointer

- All Implemented Interfaces:
    Serializable

      public class TrustedListPointer
      extends Object
      implements Serializable

  Represents a Trusted List Pointer contained by `TrustedList`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE_EU_GENERIC`
    `static String` | `TYPE_EU_LOTL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrustedListPointer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<X509Certificate>` | `getIdentities()`
    `String` | `getMimeType()`
    `String` | `getTerritory()`
    `String` | `getType()`
    `String` | `getUrl()`
    `protected void` | `setIdentities(List<X509Certificate> identities)`
    `protected void` | `setMimeType(String mimeType)`
    `protected void` | `setTerritory(String territory)`
    `protected void` | `setType(String type)`
    `protected void` | `setUrl(String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_EU_GENERIC

          public static String TYPE_EU_GENERIC

    - #### TYPE_EU_LOTL

          public static String TYPE_EU_LOTL

  - ### Constructor Detail

    - #### TrustedListPointer

          protected TrustedListPointer()

  - ### Method Detail

    - #### getUrl

          public String getUrl()

    - #### setUrl

          protected void setUrl(String url)

    - #### getType

          public String getType()

    - #### setType

          protected void setType(String type)

    - #### getTerritory

          public String getTerritory()

    - #### setTerritory

          protected void setTerritory(String territory)

    - #### getMimeType

          public String getMimeType()

    - #### setMimeType

          protected void setMimeType(String mimeType)

    - #### getIdentities

          public List<X509Certificate> getIdentities()

    - #### setIdentities

          protected void setIdentities(List<X509Certificate> identities)

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO